Bug 94578 - REGRESSION (r126132): fast/forms/range/range-hit-test-with-padding.html failing on non-Chromium ports
Summary: REGRESSION (r126132): fast/forms/range/range-hit-test-with-padding.html faili...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL: http://build.webkit.org/results/GTK%2...
Keywords: LayoutTestFailure, MakingBotsRed, Qt, QtTriaged, Regression
Depends on:
Blocks: 87008 94473
  Show dependency treegraph
 
Reported: 2012-08-21 01:07 PDT by Zan Dobersek
Modified: 2012-09-17 00:08 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2012-08-21 01:07:57 PDT
fast/forms/range/range-hit-test-with-padding.html started failing on non-Chromium ports after r126132.

The diff looks something like this (the actual value is about 506 or 507):
--- /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/fast/forms/range/range-hit-test-with-padding-expected.txt 
+++ /home/slave/webkitgtk/gtk-linux-64-release/build/layout-test-results/fast/forms/range/range-hit-test-with-padding-actual.txt 
@@ -1,6 +1,6 @@
 Clicking middle of input type=range with padding should set the value to middle.
 
-PASS input.value is "500"
+FAIL input.value should be 500. Was 507.
 PASS successfullyParsed is true
 
 TEST COMPLETE
Comment 1 Thiago Marcos P. Santos 2012-08-21 04:03:11 PDT
Discrepancy is even higher on EFL:

-PASS input.value is "500"
+FAIL input.value should be 500. Was 727.
Comment 2 Csaba Osztrogonác 2012-08-21 04:53:08 PDT
It is skipped on Qt - https://trac.webkit.org/changeset/126149
Comment 3 Keishi Hattori 2012-08-21 05:45:35 PDT
(In reply to comment #1)
> Discrepancy is even higher on EFL:
> 
> -PASS input.value is "500"
> +FAIL input.value should be 500. Was 727.

I learned that ports without subpixel layout will not be able to match the value exactly. I am modifying the test in Bug 94585.
Qt should rebaseline when it lands.
But EFL is way off so there might be something else going on. I can't figure it out.
Comment 4 Thiago Marcos P. Santos 2012-08-21 06:06:59 PDT
(In reply to comment #3)
> (In reply to comment #1)
> > Discrepancy is even higher on EFL:
> > 
> > -PASS input.value is "500"
> > +FAIL input.value should be 500. Was 727.
> 
> I learned that ports without subpixel layout will not be able to match the value exactly. I am modifying the test in Bug 94585.
> Qt should rebaseline when it lands.
> But EFL is way off so there might be something else going on. I can't figure it out.

- clickSlider(70); // left padding (20px) + middle (50px)
+ clickSlider(50); // middle (50px)

Hits bull's-eye (500) on EFL. I'm investigating why.
Comment 5 Keishi Hattori 2012-08-21 06:11:46 PDT
Bug 94585 is in the commit queue. I was able to change the test in a way that you won't need to rebaseline.
Comment 6 Csaba Osztrogonác 2012-09-13 04:19:12 PDT
(In reply to comment #5)
> Bug 94585 is in the commit queue. I was able to change the test in a way that you won't need to rebaseline.

It fixed it on Qt, unskip landed in https://trac.webkit.org/changeset/128444
Comment 7 Zan Dobersek 2012-09-17 00:08:52 PDT
(In reply to comment #5)
> Bug 94585 is in the commit queue. I was able to change the test in a way that you won't need to rebaseline.

Great, the test is now running OK, closing the bug.